package libc6-dev-armel-cross 2.24-9ubuntu1cross1 failed to install/upgrade: unable to install new version of '/usr/arm-linux-gnueabihf/libsf/Mcrt1.o': No such file or directory

Bug #1802923 reported by Ignacio on 2018-11-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cross-toolchain-base (Ubuntu)
Low
Unassigned

Bug Description

(Leyendo la base de datos ... 338073 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../libc6-dev-armel-cross_2.27-3ubuntu1cross1.1_all.deb ...
Desempaquetando libc6-dev-armel-cross (2.27-3ubuntu1cross1.1) sobre (2.24-9ubuntu1cross1) ...
dpkg: error al procesar el archivo /var/cache/apt/archives/libc6-dev-armel-cross_2.27-3ubuntu1cross1.1_all.deb (--unpack):
 no se puede abrir `/usr/arm-linux-gnueabi/lib/Mcrt1.o.dpkg-new': No existe el archivo o el directorio
No se escribió un informe «apport» porque el mensaje de error indica un problema en el sistema local
                    Preparando para desempaquetar .../libc6-armel-cross_2.27-3ubuntu1cross1.1_all.deb ...
Desempaquetando libc6-armel-cross (2.27-3ubuntu1cross1.1) sobre (2.24-9ubuntu1cross1) ...
dpkg: error al procesar el archivo /var/cache/apt/archives/libc6-armel-cross_2.27-3ubuntu1cross1.1_all.deb (--unpack):
 no se puede abrir `/usr/arm-linux-gnueabi/lib/ld-2.27.so.dpkg-new': No existe el archivo o el directorio
No se escribió un informe «apport» porque el mensaje de error indica un problema en el sistema local
                    Se encontraron errores al procesar:
 /var/cache/apt/archives/libc6-dev-armel-cross_2.27-3ubuntu1cross1.1_all.deb
 /var/cache/apt/archives/libc6-armel-cross_2.27-3ubuntu1cross1.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: libc6-dev-armel-cross 2.24-9ubuntu1cross1
ProcVersionSignature: Ubuntu 4.15.0-38.41-generic 4.15.18
Uname: Linux 4.15.0-38-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.4
Architecture: amd64
Date: Tue Nov 6 05:37:10 2018
Dependencies:
 libc6-armel-cross 2.24-9ubuntu1cross1
 linux-libc-dev-armel-cross 4.15.0-35.38cross1.1
DuplicateSignature:
 package:libc6-dev-armel-cross:2.24-9ubuntu1cross1
 Unpacking libc6-dev-armel-cross (2.27-3ubuntu1cross1.1) over (2.24-9ubuntu1cross1) ...
 dpkg: error processing archive /tmp/apt-dpkg-install-vKxU5w/155-libc6-dev-armel-cross_2.27-3ubuntu1cross1.1_all.deb (--unpack):
  unable to install new version of '/usr/arm-linux-gnueabihf/libsf/Mcrt1.o': No such file or directory
ErrorMessage: unable to install new version of '/usr/arm-linux-gnueabihf/libsf/Mcrt1.o': No such file or directory
InstallationDate: Installed on 2017-09-14 (424 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
PackageArchitecture: all
Python3Details: /usr/bin/python3.6, Python 3.6.6, python3-minimal, 3.6.5-3ubuntu1
PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 2.7.15~rc1-1
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu2.1
 apt 1.6.6
SourcePackage: cross-toolchain-base
Title: package libc6-dev-armel-cross 2.24-9ubuntu1cross1 failed to install/upgrade: unable to install new version of '/usr/arm-linux-gnueabihf/libsf/Mcrt1.o': No such file or directory
UpgradeStatus: Upgraded to bionic on 2018-11-06 (5 days ago)

Ignacio (nachocattoni) wrote :
tags: removed: need-duplicate-check
Matthias Klose (doko) wrote :

we will not fix this. the work around is to remove libc6-armel-cross and re-install the cross compiler packages.

Changed in cross-toolchain-base (Ubuntu):
importance: Undecided → Low
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers